<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approval Asset Procurement</title>
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $("#txt1, #txt2").keyup(function() {
                var harga  = $("#txt2").val();
                var jumlah = $("#txt1").val();

                var total = parseInt(harga) * parseInt(jumlah);
                $("#total").val(total);
            });
        });
        $(document).ready(function(){

            // Format mata uang.
            $( '.uang' ).mask('000.000.000', {reverse: true});

        });
    </script>
</head>
<body>
<div class="main-content" layout:fragment="main">

    <section class="section">
        <div class="section-header">
            <h1>Pengadaan Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <a th:href="@{/approval/pengadaanAset/list}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                                <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                                <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                                <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                            <br>
                            <div class="row">
                                <div class="col-md-4">
                                    <a th:href="@{/approval/assetProcurement/listApproved}" th:if="${status == null}" class="btn btn-primary btn-block">All</a>
                                    <a th:href="@{/approval/assetProcurement/listApproved}" th:if="${status != null}" class="btn btn-secondary btn-block">All</a>
                                </div>
                                <div class="col-md-4">
                                    <a th:href="@{/approval/assetProcurement/payment/list(status = 'BELUM_DIBAYAR')}" th:if="${status == 'BELUM_DIBAYAR'}" class="btn btn-primary btn-block">Belum Dibayar</a>
                                    <a th:href="@{/approval/assetProcurement/payment/list(status = 'BELUM_DIBAYAR')}" th:if="${status != 'BELUM_DIBAYAR'}" class="btn btn-secondary btn-block">Belum Dibayar</a>
                                </div>
                                <div class="col-md-4">
                                    <a th:href="@{/approval/assetProcurement/payment/list(status = 'SUDAH_DIBAYAR')}" th:if="${status == 'SUDAH_DIBAYAR'}"  class="btn btn-primary btn-block">Sudah Dibayar</a>
                                    <a th:href="@{/approval/assetProcurement/payment/list(status = 'SUDAH_DIBAYAR')}" th:if="${status != 'SUDAH_DIBAYAR'}"  class="btn btn-secondary btn-block">Sudah Dibayar</a>
                                </div>
                            </div>
                            <br>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th> # </th>
                                        <th> Nama Barang </th>
                                        <th> Jumlah </th>
                                        <th> Spesifikasi </th>
                                        <!--                                <th> Harga Pokok </th>-->
                                        <!--                                <th> Total Harga </th>-->
                                        <!--                                <th> <center>Proses Pengaadaan</center> </th>-->
                                        <th> Status </th>
                                        <th>Status Pembayaran</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listApproved}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.namaAset}"></td>
                                        <td th:text="${data.jumlah}"></td>
                                        <td>
                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModalGo' + data.id}">
                                                Lihat Detail
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModalGo' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Spek Aset</label>
                                                                    <p><b th:text="${data.spekAset}"></b></p>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Kegunaan</label>
                                                                    <p><b th:text="${data.kegunaan}"></b></p>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                        <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.hargaAset, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                        <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.totalHarga, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                        <!--                                <td th:if="${data.prosesPengadaan == 'LELANG'}"><button class="btn btn-outline-primary btn-sm">LELANG</button>-->
                                        <!--                                    <a href="" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> Vendor</a></td>-->
                                        <!--                                <td th:if="${data.prosesPengadaan == 'LANGSUNG'}">-->
                                        <!--                                    <button class="btn btn-outline-success btn-sm">LANGSUNG</button>-->
                                        <!--                                    <button th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}" class="btn btn-success btn-sm">Lihat Bukti Pembayaran</button>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'BELUM_TERSIMPAN_DIDATA_ASET'}" class="btn btn-info btn-sm">Lanjutkan Pencatatan Asset</a>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'SUDAH_TERSIMPAN_DIDATA_ASET'}" class="btn btn-success btn-sm">Sudah Melakukan Pencatatan Asset</a>-->
                                        <!--                                    <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.statusProses == 'SUDAH_TERSIMPAN_DIDATA_ASET'}" class="btn btn-info btn-sm">Lanjutkan Pendistribuan ke Unit Kerja</a>-->
                                        <!--                                    <button th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}" type="button" class="btn btn-warning btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">-->
                                        <!--                                        Pembayaran-->
                                        <!--                                    </button>-->

                                        <!--                                    <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
                                        <!--                                        <div class="modal-dialog" role="document">-->
                                        <!--                                            <form th:action="@{/approval/assetProcurement/payment(asetPengadaan = ${data.id})}" method="post" enctype="multipart/form-data">-->
                                        <!--                                                <div class="modal-content">-->
                                        <!--                                                    <div class="modal-header">-->
                                        <!--                                                        <h5 class="modal-title" id="exampleModalLabel">Info</h5>-->
                                        <!--                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
                                        <!--                                                            <span aria-hidden="true">&times;</span>-->
                                        <!--                                                        </button>-->
                                        <!--                                                    </div>-->
                                        <!--                                                    <div class="modal-body">-->
                                        <!--                                                        <div class="form-group">-->
                                        <!--                                                            <label>Nama Asset</label>-->
                                        <!--                                                            <p th:text="${data.namaAset}"></p>-->
                                        <!--                                                        </div>-->
                                        <!--                                                        <div class="form-group">-->
                                        <!--                                                            <label>Bukti Pembayaran</label>-->
                                        <!--                                                            <input type="file" name="file" class="form-control">-->
                                        <!--                                                        </div>-->
                                        <!--                                                    </div>-->
                                        <!--                                                    <div class="modal-footer">-->
                                        <!--                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>-->
                                        <!--                                                        <button type="submit" class="btn btn-primary">Save</button>-->
                                        <!--                                                    </div>-->
                                        <!--                                                </div>-->
                                        <!--                                            </form>-->
                                        <!--                                        </div>-->
                                        <!--                                    </div>-->
                                        <!--                                </td>-->
                                        <td th:if="${data.statusApproved == 'APPROVED'}"><button class="btn btn-outline-success btn-sm">APPROVED</button></td>
                                        <td>
                                            <button class="btn btn-danger btn-sm" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">BELUM DIBAYAR</button>
                                            <button class="btn btn-success btn-sm" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}">SUDAH DIBAYAR</button>
                                        </td>
                                        <td>
                                            <a th:href="@{/approval/pengadaanAset/sudahBayar(asetPengadaan = ${data.id})}" class="btn btn-warning btn-sm" th:if="${data.statusPembayaran == 'BELUM_DIBAYAR'}">Update Status Pembayaran</a>

                                            <button type="button" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.tglPenyerahan == null}" class="btn btn-dark btn-sm" data-toggle="modal" th:data-target="${'#penyerahan' + data.id}">
                                                Penyerahan Barang
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'penyerahan' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/approval/pengadaanAset/penyerahan}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="penyerahanId">Penyerahan Barang</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <input type="date" required class="form-control" name="tglPenyerahan">
                                                                    <input type="hidden" th:value="${data.id}" name="id">
                                                                </div>
                                                                <div class="form-group">
                                                                    <input type="file" class="form-control" name="buktiPenyerahan">
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>

                                            <a th:href="@{/approval/assetProcurement/assetRecording(id = ${data.id})}" th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR' && data.tglPenyerahan != null}" class="btn btn-info btn-sm">Lanjut Pencatatan Barang</a>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>